
#include <learn/AtomEPort__learn__silent.hpp>
#include <learn/PV__learn__silent.hpp>

AtomEPort__learn__silent::AtomEPort__learn__silent(const string &name, bool hasEarlyUpdate) :
    PortItf(name, ATOM_EXPORT),
    Port(name, ATOM_EXPORT),
    AtomExportPort(name, hasEarlyUpdate),
    PT__learn__silent(name, ATOM_EXPORT),
    mIsReset(false) {
}

AtomEPort__learn__silent::~AtomEPort__learn__silent(){
}
